# struct URLArgs |
Full name | `KParts::URLArgs`
Definition | `#include <browserextension.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- URLArgs ()
- URLArgs ( const URLArgs &args )
- URLArgs & operator= ( const URLArgs &args)
- URLArgs ( bool reload, int xOffset, int yOffset, const QString &serviceType = QString::null )
- virtual ~URLArgs ()
- void setContentType ( const QString & contentType )
- QString contentType () const
- QMap<QString, QString> & metaData ()

#### Public Members

- QStringList docState
- bool reload
- int xOffset
- int yOffset
- QString serviceType
- QByteArray postData
- QString frameName
- bool trustedSource
- URLArgsPrivate *d

## Detailed Description

URLArgs () | ### URLArgs

URLArgs ( const URLArgs &args ) | ### URLArgs

URLArgs & operator= ( const URLArgs &args) | ### operator=

URLArgs ( bool reload, int xOffset, int yOffset, const QString &serviceType = QString::null ) | ### URLArgs

~URLArgs () | ### ~URLArgs

[virtual]

QStringList docState | ### docState

bool reload | ### reload

int xOffset | ### xOffset

int yOffset | ### yOffset

QString serviceType | ### serviceType

QByteArray postData | ### postData

void setContentType ( const QString & contentType ) | ### setContentType

QString contentType () | ### contentType

[const]

QMap<QString, QString> & metaData () | ### metaData

QString frameName | ### frameName

bool trustedSource | ### trustedSource

URLArgsPrivate * d | ### d

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:43:28 2001, using kdoc 2.0a53.